sdl2-config.cmake.in
author Ryan C. Gordon
Mon, 01 Jan 2018 19:16:51 -0500
changeset 11803 454f6dc9cb85
parent 10474 e723c663ba58
child 13520 d62544e5fa7a
permissions -rw-r--r--
windows: Remove references to GetVersionExA (thanks, Andrew Pilley!).

"GetVersionExA is deprecated in windows 8.1 and above's SDK, causing a warning
when building against the win10 SDK. Attached patch cleans up the usage for a
warning-free build.

GetVersionExA was being used to test to see if SDL was running on win9x or
winnt. A quick chat with Ryan on twitter suggested that SDL doesn't
officially support win9x anymore, so the call to this can be outright removed.

As an aside, replacing the call to GetVersionExA with VerifyVersionInfoA (the
recommended path) would have been pointless, as VerifyVersionInfoA only
supports VER_PLATFORM_WIN32_NT and doesn't officially support any other value
for dwPlatformId currently. (And it's probable that win9x SDKs didn't have
VerifyVersionInfo* in them anyway.)"

Fixes Bugzilla #4019.
     1 # sdl2 cmake project-config input for ./configure scripts
     2 
     3 set(prefix "@prefix@") 
     4 set(exec_prefix "@exec_prefix@")
     5 set(libdir "@libdir@")
     6 set(SDL2_PREFIX "@prefix@")
     7 set(SDL2_EXEC_PREFIX "@prefix@")
     8 set(SDL2_LIBDIR "@libdir@")
     9 set(SDL2_INCLUDE_DIRS "@includedir@/SDL2")
    10 set(SDL2_LIBRARIES "-L${SDL2_LIBDIR} @SDL_RLD_FLAGS@ @SDL_LIBS@")
    11 string(STRIP "${SDL2_LIBRARIES}" SDL2_LIBRARIES)